Skip to main content
`Ctrl`+`K`

# PetscRegressorPredict

Compute predictions (that is, perform inference) using a fitted regression model.

## Synopsis

    PetscErrorCode PetscRegressorPredict(PetscRegressor regressor, Mat X, Vec y)

Collective

## Input Parameters

- regressor - the `PetscRegressor` context (for which `PetscRegressorFit()` must have been called)

- X - data matrix of unlabeled observations

## Output Parameter

- y - vector of predicted labels

## See Also

`PetscRegressorFit()`, `PetscRegressorDestroy()`

## Level

beginner

## Location

src/ml/regressor/interface/regressor.c

## Implementations

PetscRegressorPredict_Linear() in src/ml/regressor/impls/linear/linear.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages